%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python26-pybluez
Version:	0.15
Release:	2
BuildArch:	i686
Summary:	Python API for the BlueZ bluetooth stack 
Group:		Development/Languages
License:	GNU/GPL
URL:		http://org.csail.mit.edu/pybluez
Source0:	http://org.csail.mit.edu/pybluez/release/PyBluez-0.15.tar.gz

# Automatically resolved build dependencies
BuildRequires:	glibc-devel
BuildRequires:	python26-devel
BuildRequires:	bluez-libs-devel
Provides:	pybluez = %{version}-%{release}
Obsoletes:	pybluez <= %{version}-%{release}

%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create Bluetooth
applications.

%prep
%setup -q -n PyBluez-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
# This file shouldn't be executable - it's going into %doc
chmod a-x examples/bluezchat/bluezchat.py
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGELOG COPYING examples
%{python_sitearch}/*

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.15-2
- python26
- rename package to python26-pybluez
* Fri Oct 17 2008 Christian Wasem <wasem@ccux-linux.de> 0.15-1
- Version update
* Wed Oct 17 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.2-1
- Initial release
